schema_version: 0.3
type: producer
identifier: colour
title: Color
version: 1
copyright: Meltytech, LLC
creator: Dan Dennedy
license: LGPLv2.1
language: en
tags:
  - Video
description: A simple color generator.
parameters:
  - identifier: resource
    argument: yes
    title: Color
    description: >
      A color value is a hexadecimal representation of RGB plus alpha channel 
      as 0xrrggbbaa. Colors can also be the words: white, black, red, green,
      or blue. You can also use a HTML-style color values #rrggbb or #aarrggbb.
    type: string
    required: no
    readonly: no
    default: black
    widget: color

  - identifier: mlt_image_format
    title: MLT image format
    type: string
    description: >
      Force to generate image in the specified format. The default behavior is
      to supply whatever was requested by the connected consumer.
    mutable: yes
    values:
      - yuv420p
      - yuv422
      - rgb
      - rgba
